# Generated from pivotal-bootstrap-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pivotal-bootstrap

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: This gem provides a command-line application, "pivotal-bootstrap", which imports stories from one or more YAML files into Pivotal Tracker.  The command makes it easy to bootstrap new projects with a common set of pre-canned stories or to quickly capture stories in a text file for later import.  YAML files contain grouped stories, allowing you to choose which groups to import. This is useful when bootstrapping a new Pivotal project with common stories, since every group of stories may not be applicable to every type of project (see the example stories.yml for an instance of this)
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Imports stories in a YAML file into Pivotal Tracker.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/pivotal-bootstrap
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/stories.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pivotal-bootstrap.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.1-1
- Initial package
